# PageGroup Class Reference

Page d'administration des groupes de questions. More...

Inheritance diagram for PageGroup:

List of all members.

## Public Member Functions

| PageGroup ()
| Place les elements sur la page.
void | onOpened ()
| Vide les champs si ils sont remplis et met a jour la liste des catégories.
void | onListSelection ()
| Met a jour les champs d'entrée (à droite).
void | modify ()
| Modifie la ligne selectionnée.
void | remove ()
| Supprime la ligne selectionnée.
void | add ()
| Ajoute une ligne par défaut.
void | updateCat ()
| Met à jour la liste des catégories.
void | updateBrowseList ()
| Met à jour la liste.
void | actionPerformed (ActionEvent e)
| Ajoute la gestion de la combobox.

## Detailed Description

Page d'administration des groupes de questions.

## Constructor & Destructor Documentation

PageGroup.PageGroup | ( |  | ) |

Place les elements sur la page.

## Member Function Documentation

void PageGroup.actionPerformed | ( | ActionEvent | e | ) |

Ajoute la gestion de la combobox.

void PageGroup.add | ( |  | ) |

Ajoute une ligne par défaut.

void PageGroup.modify | ( |  | ) |

Modifie la ligne selectionnée.

void PageGroup.onListSelection | ( |  | ) |

Met a jour les champs d'entrée (à droite).

void PageGroup.onOpened | ( |  | ) |

Vide les champs si ils sont remplis et met a jour la liste des catégories.

void PageGroup.remove | ( |  | ) |

Supprime la ligne selectionnée.

void PageGroup.updateBrowseList | ( |  | ) |

Met à jour la liste.

void PageGroup.updateCat | ( |  | ) |

Met à jour la liste des catégories.

The documentation for this class was generated from the following file:

- /media/data/ProjWeb/Java/PageGroup.java